<template>
  <div id="CreateDecision">
   <Navbar/>
   <div class="mt-5">
    <div class="container">
      <div class="row">
        <div class="col-lg-6 col-md-6 col-sm-6">
         <div class="login-box shadow-sm mb-5 bg-white rounded">
          <div class="p-5">
            <h5>Crea una nueva decisión:</h5>
            <form @submit.prevent="addNewPoll">
              <input class="form-control form-input" v-model="poll_question" type="text" name="name" id="question" placeholder="Ingresa una pregunta" required>
              <input class="form-control form-input" v-for="n in count" v-bind:key="n" type="text" v-bind:name="'newField'+n" v-bind:placeholder="'Opción '+n" required>
              <div class="row mt-4">
                <div class="col-6"><input class="btn btn-outline-success btn-md w-100" name="addFieldButton" type="button" value="AGREGAR" v-on:click="count++" /></div>
                <div class="col-6"><input class="btn btn-outline-danger btn-md w-100" v-show="count>2" name="deleteButton" type="button" value="ELIMINAR" v-on:click="count--" /></div>
              </div>
              <div class="mt-3">
               <button type="submit" class="btn btn-primary btn-md w-100">CREAR</button>
             </div>
           </form>
            <div class="mt-3">
           <button type="button" class="btn btn-outline-warning btn-md w-100"  @click="returnDecisions" >ATRÁS</button>
         </div>
        </div>
      </div>         
    </div>
    <div class="col-lg-6 col-md-6 col-sm-6 text-right">
      <img src="@/assets/mirage-good.png" width="430px;">
    </div>
  </div>
</div>
</div>
</div>
</template>

<script>
  import { mapState, mapGetters } from 'vuex'
  import { AUTH } from '../main.js';
  import { vue } from "../main.js";
  import Navbar from '@/components/Navbar.vue'
  import { RTDB } from '../main.js';

  export default {
    computed:{
    ...mapGetters(['getCodeFamily']),
    },
    name: 'CreateDecision',
    components: {
      Navbar
    },
    data () {
      return {
        poll_created:false,
        count: 2,
        poll_question: "",
        poll_options:[],
        code:"X42069",
      };
    },
    methods: {
      addNewPoll (submitEvent) {
        for(var i =1;i<=this.count;i++)
        {
          var array=[];
          array.push(submitEvent.target.elements['newField'+i].value);
          array.push(0);
          this.poll_options.push(array);
          submitEvent.target.elements['newField'+i].value="";
        }
      //TODO cambiar CODIGODEFAMILIA por el verdadero
      RTDB.ref('family/'+this.getCodeFamily+'/decision/'+this.getNextExpenseNumber()+'/').set({
        question:this.poll_question,
        answers: this.poll_options,
        available: true,
      });
      this.poll_question = '';
      this.poll_options=[];
      this.poll_created=true;
    },
    returnDecisions(){
      console.log("Aqui entro");
      this.$router.push({name:'decision'})
    },
    getNextExpenseNumber (){
        let number=0;
        RTDB.ref('family/'+this.getCodeFamily+'/decision/').on('value',function (snapshot){
          for (let expense in snapshot.val()){
            number = expense;
          }
          console.log(number);
        });
        number++;
        return number;
    }
  },
  created (){
    this.getNextExpenseNumber();
  }
};
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.container{
  max-width: 960px;
}
.login-box{
  max-width: 480px;
}
.form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
.form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}
.btn-outline-warning  {
  color: #009A9A;
  border-color: #009A9A;
}
.btn-outline-warning:hover , .btn-outline-warning:focus ,.btn-outline-warning:not(:disabled):not(.disabled):active {
  background-color: #009A9A;
  color: #fafafa;
  border-color: #fafafa;
  box-shadow: none;
}
h5, h3 {
  color: #45b5b5;
  font-weight: bold;
}
</style>
